<?php
/**
 * Clase Base Bean para BaseRhMarcacionTipoBN
 *
 * @package    Sedapal
 * @subpackage BaseRhMarcacionTipoBN
 * @author     Willy
 * @version    SVN:: BaseRhMarcacionTipoBN.class.php,v 1.1 2019-05-13 12:56:26 william.taype Exp $
 */
abstract class BaseRhMarcacionTipoBN
{
  protected $Idtipo;
  protected $Idregistro;
  protected $Descripcion;
  protected $Flagtienedescuento;
  protected $Secuencia;
  protected $Mensaje;
  protected $Error;

  public function getIdtipo(){
    return $this->Idtipo;
  }
  public function setIdtipo($v1){
    $this->Idtipo = $v1; 
  }

  public function getIdregistro(){
    return $this->Idregistro;
  }
  public function setIdregistro($v1){
    $this->Idregistro = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getFlagtienedescuento(){
    return $this->Flagtienedescuento;
  }
  public function setFlagtienedescuento($v1){
    $this->Flagtienedescuento = $v1; 
  }

  public function getSecuencia(){
    return $this->Secuencia;
  }
  public function setSecuencia($v1){
    $this->Secuencia = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Rh_marcacion_tipoBN desde un RecordSet */
  public static function retrieveByRs( $o_Rh_marcacion_tipoRs )
  {
    $o_RhMarcacionTipoBN = new RhMarcacionTipoBN();
    $o_RhMarcacionTipoBN->setIdtipo( $o_Rh_marcacion_tipoRs['idtipo'] );
    $o_RhMarcacionTipoBN->setIdregistro( $o_Rh_marcacion_tipoRs['idregistro'] );
    $o_RhMarcacionTipoBN->setDescripcion( $o_Rh_marcacion_tipoRs['descripcion'] );
    $o_RhMarcacionTipoBN->setFlagtienedescuento( $o_Rh_marcacion_tipoRs['flagtienedescuento'] );
    $o_RhMarcacionTipoBN->setSecuencia( $o_Rh_marcacion_tipoRs['secuencia'] );
    return $o_RhMarcacionTipoBN;
  }
}